
with MaRTE_OS;
with system;
with text_io, Ada.Real_Time;
use  text_io, Ada.Real_Time;
with Ada.Dynamic_Priorities;
use Ada.Dynamic_Priorities;
--*************************************************
-- DEL LASER
with Ada.Unchecked_Conversion;
with Ada.Integer_Text_IO;     use Ada.Integer_Text_IO;
with Ada.Float_Text_IO;     use Ada.Float_Text_IO;
--*************************************************
with POSIX;
with POSIX_Timers;
pragma Elaborate_All (POSIX_Timers);

with Console_Management;
use Console_Management;

with laser_import; use laser_import;

with p2os_import; use p2os_import;

with Interfaces.C;
--*************************************************



procedure medir_readLMSValues2tareas is



  package DIO is new FIXED_IO (duration) ; use DIO ;

--   bucles: integer := 5 ;
--   INICIO : time ;
--   TIEMPO_COMPUTO : Time_Span;
  laser_priority 	: 	constant System.Any_Priority := 22;
  visualiza_priority 	: 	constant System.Any_Priority := 16;
  actuador_priority 	:	constant System.Any_Priority := 17;
  control_priority 	:	constant System.Any_Priority := 19;
  p2os_priority 	:	constant System.Any_Priority := 21;

--*************************************************
-- DEL LASER
package C renames Interfaces.C;
          use type C.char_array;
	  use type C.unsigned_char;


	function actuador return C.Int;
	pragma Import (C,actuador, "actuador" );
--   buf: C.char_array(0..MAXNDATA);
  key: Character;

--*************************************************


procedure principal is

salida: boolean := false;
acabado: boolean := false;
empiezaVisual: boolean := false;
 --******************************************************
--TAREA DEL LASER
task actualiza_laser is
     pragma Priority (laser_priority);
end  actualiza_laser;


task body actualiza_laser is
--          periodo   : constant Time_Span := Milliseconds (1);
--          siguiente : Time;
  datalen : C.Int := 100;
  port: C.char_array := "/dev/ttyS2";
  count: Integer:=0; count_max: Integer:=100 ;
  range_mode: Integer:=RANGE_180; res_mode: Integer:=RES_0_5_DEG; unit_mode : Integer:=MMMODE;
  baud_sel: Integer := BAUD_19200;--BAUD_38400;//BAUD_19200;// BAUD_9600;
begin
--          siguiente := clock;



  connectToLMS(range_mode, res_mode, unit_mode, port, baud_sel);
  put("Fin de inicializacion");new_line;
  --Get_Immediate (key);
-- Medimos el tiempo de computo de la operacion readLMSValues


 while not salida or not acabado loop
	--put_line("LASER");
      datalen := readLMSValues;
 end loop;

  vaciarlaser;
  stopLMS;
  put_line("Paramos el laser");
  resetLMS;
  put_line("Reseteamos el laser");

end actualiza_laser;

 --******************************************************
--TAREA DEL P2OS
task actualiza_p2os is
     pragma Priority (p2os_priority);
end  actualiza_p2os;


task body actualiza_p2os is
--          periodo   : constant Time_Span := Milliseconds (1);
--          siguiente : Time;
  datalen : C.Int := 100;
  port: C.char_array := "/dev/ttyS0";
  count: Integer:=0; count_max: Integer:=100 ;
  range_mode: Integer:=RANGE_180; res_mode: Integer:=RES_1_DEG; unit_mode : Integer:=MMMODE;
  baud_sel: Integer := BAUD_9600;--BAUD_38400;//BAUD_19200;// BAUD_9600;
  var:C.Int;
begin


  put("Inicializo p2os. Pulsa una tecla"); 

  var:=initP2os(port);
  put("Fin de inicializacion");new_line;
  
 while not salida or not acabado loop
	--put_line("P2OS");
     p2osGetValues;
 end loop;

  put("P2OS finalizado");
  var:=p2osShutdown;

end actualiza_p2os;


procedure pinta_marco is
begin

------------------------------------------------
--- MARCO PRINCIPAL
------------------------------------------------
	Set_Cursor(1,1);
	for I in 1 ..78 loop
		Put("_");
	end loop;

	Set_Cursor(23,1);
	for I in 1 ..78 loop
		 Put("_");
	end loop;
	for I in 1 .. 23 loop
		Set_Cursor(I,1); Put("|");
	end loop;
	for I in 1 .. 23 loop
		Set_Cursor(I,78); Put("|");
	end loop;
------------------------------------------------
--- OTROS 
------------------------------------------------	
	for I in 1 .. 23 loop
		Set_Cursor(I,52); Put("|");
	end loop;
end pinta_marco;

procedure Velocidad_Consola(XSpeed:in Float; YawSpeed:in Float) is
begin
	Set_Cursor(7,54); Put("VALORES MOVIMIENTO");
	Set_Cursor(8,54); Put("XSpeed = "); Put (XSpeed,2,3,0);
	Set_Cursor(9,54); Put("YawSpeed = "); Put (YawSpeed,2,3,0);
	
	if XSpeed = 0.0 then 
	-- Se mueve hacia adelante
		Set_Cursor(11,54);Put ("     PARADO      ");
	elsif XSpeed > 0.0 then 
	-- Se mueve hacia atras
		Set_Cursor(11,54);Put ("     AVANZA      ");
	elsif XSpeed < 0.0 then 
	-- Se mueve hacia atras
		Set_Cursor(11,54);Put ("     RETROCEDE      ");
	end if;

	if YawSpeed = 0.0 then 
	-- Se mueve hacia adelante
		Set_Cursor(12,54);Put ("     PARADO      ");
	elsif YawSpeed > 0.0 then 
	-- Se mueve hacia adelante
		Set_Cursor(12,54);Put ("     DERECHA      ");
	elsif YawSpeed < 0.0 then 
	-- Se mueve hacia atras
		Set_Cursor(12,54);Put ("     IZQUIERDA     ");
	end if;
	

		
	
end Velocidad_Consola;

procedure Posicion_Consola(Px:in Float; Py:in Float; Ang:in Float) is
begin
	Set_Cursor(3,54); Put("VALORES ODOMETRIA");
	Set_Cursor(4,54); Put("Px = "); Put (Px,2,3,0);
	Set_Cursor(5,54); Put("Py = "); Put (Py,2,3,0);
	Set_Cursor(6,54); Put("Ang = "); Put (Ang,2,3,0);
end Posicion_Consola;

-- task tarea_visualiza is
--    pragma Priority (visualiza_priority);
-- end tarea_visualiza;
-- 
-- task body tarea_visualiza is
--          periodo   : constant Time_Span := Milliseconds (200);
--          siguiente : Time;
-- 
-- 	laserValor: Integer;
-- 	cnt : Integer := 1;
-- 	columna: Integer:=1;
-- 
-- 
-- 	type tpLaser is array (1 .. 400) of integer;
-- 	laser : tpLaser;
-- 
-- 	xPos,yPos,Angle,xspeed,yawSpeed :float;
-- 
--    timer : POSIX_Timers.Timer_Id;
--    CPU_Time_First : POSIX.Timespec := POSIX.To_Timespec (0.0);
--    CPU_Time_Last : POSIX.Timespec := POSIX.To_Timespec (0.0);
-- 
-- begin
--          siguiente := clock;
-- 
-- 
-- 	put_line("Pulsa enter para empezar la visualizacion");
-- 	while not empiezaVisual loop
-- 	null;
-- 	end loop;
-- 
-- 	Set_Text_Color(Yellow);
-- 	
--    while not salida loop
--   CPU_Time_First := POSIX_Timers.Get_Time(POSIX_Timers.Clock_Task_Cputime_Id);
--   
--  
-- 	Clear_Screen;
-- 	pinta_marco;
-- 
-- 
-- -- 180 grados a 0.5 grados de precision
-- 
--        --Obtenemos la info del laser de forma atomica
-- 	lockLaser;
-- 	for i in 1 .. getCountLaser loop
-- 		laser(i) := laserazo(i);
-- 	end loop;
-- 	unlockLaser;
-- 
-- 	--Obtenemos la info del p2os de forma atomica
-- 	lockP2os;
-- 	xspeed:= float(p2osGetXSpeed);
-- 	yawSpeed:= float(p2osGetYawSpeed);
-- 	Angle := float(p2osGetAngle); 
-- 	xPos := float(p2osGetXpos);
-- 	yPos := float(p2osGetYpos);
-- 	unlockP2os;
-- 
-- 	while cnt < getCountLaser loop
-- --  	for L in 1 .. getCountLaser loop
-- -- -- 	for L in 1 .. 1 loop
-- 	
-- 		laserValor:=((laser(cnt) + laser(cnt+1) + laser(cnt+2) + 
-- 			laser(cnt+3) + laser(cnt+4) + laser(cnt+5) +
-- 			laser(cnt+6) + laser(cnt+7))/8) /500; --new_line;
-- 		cnt := cnt + 8;
-- 
-- 		for I in 1 .. laserValor loop
-- 	  		Set_Cursor(I+1,columna+1); 
-- 			put("*");
-- 		end loop;
-- 		columna:=columna+1;
-- 	end loop;
-- 	cnt:=1;
-- 	columna:=1;
-- 
-- -----------------------------------------------------------------
-- -- INFORMACION DEL P2OS
-- -----------------------------------------------------------------
-- 	
-- 	Velocidad_Consola(xspeed,yawSpeed);
-- 	Posicion_Consola(xPos,yPos,Angle);
-- 
--  CPU_Time_Last := POSIX_Timers.Get_Time(POSIX_Timers.Clock_Task_Cputime_Id);
--   put("Tiempo = "); put ((POSIX.To_Duration (CPU_Time_Last) - POSIX.To_Duration (CPU_Time_First)) * 1000); 
--   put_line("ms.");
-- 
--             siguiente := siguiente + periodo;
--             delay until siguiente;
-- 
--    end loop;
-- 	acabado := true;
-- --  exception 
-- -- 	when Salida =>
-- 		put ("escritura laser fin");
-- end tarea_visualiza;


task tarea_control is
   pragma Priority (control_priority);
end tarea_control;

task body tarea_control is
         periodo   : constant Time_Span := Milliseconds (1000);
         siguiente : Time;
begin
         siguiente := clock;
   while not salida loop

	Get_Immediate (key);
	
	if key = 'q' then salida:= true; put_line("Pulsada salida");  
	elsif key = 'e' then empiezaVisual := true; 
	end if;

            siguiente := siguiente + periodo;
            delay until siguiente;
   end loop;

	put_line ("Control teclado fin");
	acabado:=true;
end tarea_control;



task tarea_actuador is
   pragma Priority (actuador_priority);
end tarea_actuador;

task body tarea_actuador is
         periodo   : constant Time_Span := Milliseconds (100);
         siguiente : Time;	
	 valor	: Integer;
begin
         siguiente := clock;

	put_line("Pulsa e para empezar la visualizacion");
	while not empiezaVisual loop
	null;
	end loop;

   while not salida loop


		valor := actuador;
	

            siguiente := siguiente + periodo;
            delay until siguiente;
   end loop;
--  exception 
-- 	when Salida =>
	put_line ("Control actuador fin");
	acabado:=true;
end tarea_actuador;



   begin

      -- Hasta que salida no es true el sistema sigue funcionando
 	while true loop
	null;
       end loop;
-- exception 
-- 	when Salida =>
-- 		raise Salida;
--   	abort tarea_actualiza,tarea_visualiza,tarea_control;
--null; 
	put("acabo principal y espero a que acaben los demas"); new_line;

end principal;


begin

-- put("Dale al enter para lanzar las tareas");
-- Skip_line;
--*************************************************
-- DEL LASER



  put_line("Empieza la inicializacion: (ESPERA A QUE SE PONGA EL LED VERDE SOLO!!!!"); 
  Get_Immediate (key);
principal;
put_line("Se sale del programa");
-- --*************************************************
-- -- DEL LASER

-- --*************************************************
end medir_readLMSValues2tareas;
