#include <stdio.h>
#include <stdlib.h>


#include "listaKFPT.h"


/* Crea la lista */
void *CrearListaKFPT(){
  return NULL;
}
int idx=0;
void InsertarListaKFPT(TnodoKFPT **lista, Tkf *filter, int label, int sortLabel){
  idx++;
  TnodoKFPT *sigui;
  TnodoKFPT *siguiAnt;
  TnodoKFPT *nuevo;
  
  //printf("Nuevo nodo %d\n",idx);
  nuevo=(TnodoKFPT *)malloc(sizeof(TnodoKFPT)+100);
  nuevo->filter=*filter;
  nuevo->label=label; 
  nuevo->sortLabel=sortLabel;
  nuevo->numNotSeen=0;

  if (*lista==NULL || (*lista)->sortLabel>sortLabel){ /* Por si es el primero */
    nuevo->next=*lista;
    *lista=nuevo;
  }
  else if ((*lista)->next==NULL){
    (*lista)->next=nuevo;
    nuevo->next=NULL;
  }
  else{
    siguiAnt=*lista;
    sigui=(TnodoKFPT *)(*lista)->next;
    while (sigui->next!=NULL && sigui->sortLabel<sortLabel ){
      siguiAnt=sigui; sigui=(TnodoKFPT *)sigui->next;
    }
    if (sigui->sortLabel>=sortLabel){ /* antes del ultimo */
      siguiAnt->next=(TnodoKFPT *)nuevo;
      nuevo->next=(TnodoKFPT *)sigui;
    }
    else{ /* despues del ultimo */
      sigui->next=(TnodoKFPT *)nuevo;
      nuevo->next=NULL;
    }
  }
}

void EliminarListaKFPT(TnodoKFPT **lista){
  
  TnodoKFPT *sig;
  TnodoKFPT *sigAnt;
  
  if (*lista!=NULL){
    sigAnt=*lista;
    sig=(TnodoKFPT *)(*lista)->next;
    
    while (sig!=NULL){
      	
      free(sigAnt);
      sigAnt=sig;
      sig=(TnodoKFPT *)sig->next;
    }  
    free(sigAnt);
    *lista=NULL;
  }
/*   else */
/*     printf("esta vacia\n"); */
}

void PrintListaKFPT(TnodoKFPT *lista){
  
  char msg[20];
  TnodoKFPT *sig;
  sig=(TnodoKFPT *)lista;
  
  while (sig!=NULL){
	sprintf(msg,"Filter %d\n",sig->label);
    printFilter(&(sig->filter), msg);
    
	sig=(TnodoKFPT *)sig->next;
  }
}

int SacarListaKFPT(TnodoKFPT **lista,Tkf *elem,int *label, int *sortLabel){

  TnodoKFPT *ant;

  if (*lista==NULL)
    return 0;
  
  *elem=(*lista)->filter;
  *label=(*lista)->label;
  *sortLabel=(*lista)->sortLabel;

  ant=*lista;
  *lista=(TnodoKFPT *)(*lista)->next;
  free(ant);
  return 1;
}


int ListaVaciaKFPT(TnodoKFPT *lista){

  if (lista==NULL)
    return 1;
  return 0; 
}



/* El primero es el cero*/
int LeerElementoXKFPT(TnodoKFPT *lista,int xin, Tkf *elem, int *label, int *sortLabel){

  TnodoKFPT *sig;
  int cnt;
  
  sig=(TnodoKFPT *)lista;
  
  cnt=0;
  while (sig!=NULL){
    if (cnt==xin){
      *elem=sig->filter;
      *label=sig->label;
      *sortLabel=sig->sortLabel;
      return 1;
    }
    else
      sig=(TnodoKFPT *)sig->next;
    cnt++;
  }  
  return 0;
}

int LeerElementoEtiquetaKFPT(TnodoKFPT *lista,int label, Tkf *elem, int *sortLabel){

  TnodoKFPT *sig;
  
  sig=(TnodoKFPT *)lista;
  
  while (sig!=NULL){
    if (sig->label==label){
      *elem=sig->filter;
      *sortLabel=sig->sortLabel;
      return 1;
    }
    else
      sig=(TnodoKFPT *)sig->next;
  }  
  return 0;
}
