 ---------------------------------------------------------------------
-- Fichero:   servidores_inm.adb
-- Autor:     J.L.Villarroel, C.Sagues, J.D.Tardos
-- Version:   v2.0 27-3-2002
-- Proposito: Implementacion de 2 servidores para GNAT 3.12 en Windows NT
---------------------------------------------------------------------

with ada.dynamic_priorities, servidores;
use  ada.dynamic_priorities, servidores;

package body servidores_inm is

  procedure s1_servicio1 is
    current_prio: System.Any_Priority;
  begin 
    current_prio:= get_priority;
    set_priority (s1_prioridad);
    servidores.s1.servicio1;
    set_priority (current_prio);
  end;
    
  procedure s1_servicio2 is
    current_prio: System.Any_Priority;
  begin 
    current_prio:= get_priority;
    set_priority (s1_prioridad);
    servidores.s1.servicio2;
    set_priority (current_prio);
  end;


  procedure s2_servicio1 is
    current_prio: System.Any_Priority;
  begin 
    current_prio:= get_priority;
    set_priority (s2_prioridad);
    servidores.s2.servicio1;
    set_priority (current_prio);
  end;
    
  procedure s2_servicio2 is
    current_prio: System.Any_Priority;
  begin 
    current_prio:= get_priority;
    set_priority (s2_prioridad);
    servidores.s2.servicio2;
    set_priority (current_prio);
  end;

end servidores_inm;