pragma locking_policy (ceiling_locking) ;
pragma task_dispatching_policy (fifo_within_priorities) ;

with MaRTE_OS;
with system;
with text_io, Ada.Real_Time;
use  text_io, Ada.Real_Time;
with Ada.Dynamic_Priorities;
use Ada.Dynamic_Priorities;
--*************************************************
-- DEL LASER
with Ada.Unchecked_Conversion;
with Ada.Integer_Text_IO;     use Ada.Integer_Text_IO;
with Ada.Float_Text_IO;     use Ada.Float_Text_IO;

with Console_Management;
use Console_Management;

with laser_import; use laser_import;

with p2os_import; use p2os_import;

with Interfaces.C;
--*************************************************



procedure medir_readLMSValues2tareas is


  package DIO is new FIXED_IO (duration) ; use DIO ;

--   bucles: integer := 5 ;
--   INICIO : time ;
--   TIEMPO_COMPUTO : Time_Span;
  laser_priority 	: 	constant System.Any_Priority := 22;
  visualiza_priority 	: 	constant System.Any_Priority := 16;
  control_priority 	:	constant System.Any_Priority := 24;
  p2os_priority 	:	constant System.Any_Priority := 22;

--*************************************************
-- DEL LASER
package C renames Interfaces.C;
          use type C.char_array;
	  use type C.unsigned_char;

--   buf: C.char_array(0..MAXNDATA);
  key: Character;

--*************************************************


procedure principal is

salida: boolean := false;
salida2:boolean:=false;
empieza:boolean:=false;
acabado: boolean := false;
empiezaVisual: boolean := false;
--  --******************************************************
-- --TAREA DEL LASER
-- task actualiza_laser is
--      pragma Priority (laser_priority);
-- end  actualiza_laser;


-- task body actualiza_laser is
-- --          periodo   : constant Time_Span := Milliseconds (1);
-- --          siguiente : Time;
--   datalen : C.Int := 100;
--   port: C.char_array := "/dev/ttyS2";
--   count: Integer:=0; count_max: Integer:=100 ;
--   range_mode: Integer:=RANGE_100; res_mode: Integer:=RES_1_DEG; unit_mode : Integer:=MMMODE;
--   baud_sel: Integer := BAUD_19200;--BAUD_38400;//BAUD_19200;// BAUD_9600;
-- begin
-- --          siguiente := clock;
-- 
--   put_line("Empieza la inicializacion: (ESPERA A QUE SE PONGA EL LED VERDE SOLO!!!!"); 
--   --Get_Immediate (key);
-- 
--   connectToLMS(range_mode, res_mode, unit_mode, port, baud_sel);
--   put("Fin de inicializacion");new_line;
--   --Get_Immediate (key);
-- -- Medimos el tiempo de computo de la operacion readLMSValues
-- 
-- 
--  while not salida or not acabado loop
--       datalen := readLMSValues;
--  end loop;
-- 
--   vaciarlaser;
--   stopLMS;
--   put_line("Paramos el laser");
--   resetLMS;
--   put_line("Reseteamos el laser");
-- 
-- end actualiza_laser;

 --******************************************************
--TAREA DEL P2OS
task actualiza_p2os is
     pragma Priority (p2os_priority);
end  actualiza_p2os;


task body actualiza_p2os is
--          periodo   : constant Time_Span := Milliseconds (1);
--          siguiente : Time;
  datalen : C.Int := 100;
  port: C.char_array := "/dev/ttyS0";
  count: Integer:=0; count_max: Integer:=100 ;
  range_mode: Integer:=RANGE_180; res_mode: Integer:=RES_1_DEG; unit_mode : Integer:=MMMODE;
  baud_sel: Integer := BAUD_19200;--BAUD_38400;//BAUD_19200;// BAUD_9600;
  var:C.Int;
begin


  put("Inicializo p2os. Pulsa una tecla"); 

  var:=initP2os(port);
  put("Fin de inicializacion");new_line;
  
 while not salida or not acabado loop
     p2osGetValues;
 end loop;

  put("P2OS finalizado");
  var:=p2osShutdown;

end actualiza_p2os;


procedure pinta_marco is
begin

------------------------------------------------
--- MARCO PRINCIPAL
------------------------------------------------
	Set_Cursor(1,1);
	for I in 1 ..78 loop
		Put("_");
	end loop;

	Set_Cursor(23,1);
	for I in 1 ..78 loop
		 Put("_");
	end loop;
	for I in 1 .. 23 loop
		Set_Cursor(I,1); Put("|");
	end loop;
	for I in 1 .. 23 loop
		Set_Cursor(I,78); Put("|");
	end loop;
------------------------------------------------
--- OTROS 
------------------------------------------------	
	for I in 1 .. 23 loop
		Set_Cursor(I,52); Put("|");
	end loop;
end pinta_marco;

procedure Velocidad_Consola(Rvel:in float; Lvel:in float) is
begin
	Set_Cursor(3,54); Put("XSpeed = "); Put (Rvel,0,3,0); 
	Set_Cursor(4,54); Put(" YawSpeed = "); Put (Lvel,0,3,0);
end Velocidad_Consola;

procedure Posicion_Consola(Px:in float; Py:in float; Ang:in float) is
begin
	Set_Cursor(6,54); Put("Px = "); Put (Px,0,3,0); Put(" Py = "); Put (Py,0,3,0);
	Set_Cursor(7,54); Put("Ang = "); Put (Ang,0,3,0);
end Posicion_Consola;

task tarea_visualiza is
   pragma Priority (visualiza_priority);
end tarea_visualiza;

task body tarea_visualiza is
         periodo   : constant Time_Span := Milliseconds (100);
         siguiente : Time;

	laserValor: Integer;
	cnt : Integer := 1;
	columna: Integer:=1;
	type tpLaser is array (1 .. 400) of integer;
	laser : tpLaser;
 	x: float := 0.0;
	y: float := 0.0;
	a: float := 0.0;
 	xs: float := 0.0;
	as: float := 0.0;
begin
         siguiente := clock;

	put_line("Pulsa enter para empezar la visualizacion");
	while not empiezaVisual loop
	null;
	end loop;

	Set_Text_Color(Yellow);
	
   while not salida loop

	--Clear_Screen;
	--pinta_marco;


-- -----------------------------------------------------------------
-- -- INFORMACION DEL LASER
-- -----------------------------------------------------------------
--        --rellenamos el vector bloqueando y desbloqueando
-- 	for i in 1 .. getCountLaser loop
-- 		lockLaser;
-- 		laser(i) := laserazo(i);
-- 		unlockLaser;
-- 	end loop;
-- 
-- 	while cnt < getCountLaser loop
-- --  	for L in 1 .. getCountLaser loop
-- -- -- 	for L in 1 .. 1 loop
-- 	
-- 		laserValor:=((laser(cnt) + laser(cnt+1))/2) /500; --new_line;
-- 		cnt := cnt + 2;
-- 
-- 		for I in 1 .. laserValor loop
-- 	  		Set_Cursor(I+1,columna+1); 
-- 			put("*");
-- 		end loop;
-- 		columna:=columna+1;
-- 	end loop;
-- 	cnt:=1;
-- 	columna:=1;
-- 
-- -----------------------------------------------------------------
-- INFORMACION DEL P2OS
-----------------------------------------------------------------
	lockP2os;
	    x := p2osGetXpos;
	    y := p2osGetYpos;
	    a := p2osGetAngle;
	    xs:= p2osGetXSpeed;
	    as:= p2osGetYawSpeed;
	unlockP2os;

	Velocidad_Consola(xs,as);
	Posicion_Consola(x,y,a);

-- 	PrintP2OS_SIP;

            siguiente := siguiente + periodo;
            delay until siguiente;

   end loop;
	acabado := true;
--  exception 
-- 	when Salida =>
		put ("escritura laser fin");
end tarea_visualiza;


task tarea_movimiento is
   pragma Priority (control_priority);
end tarea_movimiento;

task body tarea_movimiento is
         periodo   : constant Time_Span := Milliseconds (100);
         PI   : constant float := 3.141516;
         siguiente : Time;
	 x,xini,x_primera: float := 0.0;
	 y: float := 0.0;
	 a,aini,a_primera: float := 0.0;
         newspeed: float := 0.0;
         newturnrate: float := 0.0;
	 acabado : boolean := false;
         fase: integer := 0;
	primeravez: boolean :=true;
	primeravez_X: boolean :=true;

begin
   	siguiente := clock;
	newspeed := 0.2;
	newturnrate := 0.0;

	while not salida2 loop	
	if empieza then

	SetSpeed(newspeed,newturnrate);

	end if;	
        siguiente := siguiente + periodo;
        delay until siguiente;

   	end loop;
	put("PRUEBA TERMINADA!");
	SetSpeed(0.0,0.0);

end tarea_movimiento;


task tarea_control is
   pragma Priority (control_priority);
end tarea_control;

task body tarea_control is
	periodo   : constant Time_Span := Milliseconds (100);
	PI   : constant float := 3.141516;
	siguiente : Time;
	x,xini,x_primera: float := 0.0;
	y: float := 0.0;
	a,aini,a_primera: float := 0.0;
	newspeed: Float := 0.0;
	newturnrate: Float := 0.0;
	acabado : boolean := false;
	fase: integer := 0;
	primeravez: boolean :=true;
	primeravez_X: boolean :=true;
begin
   siguiente := clock;
   while not salida loop

	Get_Immediate (key);
	
	if key = 'q' then salida:= true; put_line("Pulsada Parada");  
	elsif key = 'e' then empiezaVisual := true; 
	elsif key = 'm' then empieza := true;
	elsif key = 'p' then salida2:=true;
	end if;
            siguiente := siguiente + periodo;
            delay until siguiente;
   end loop;
--  exception 
-- 	when Salida =>
	put_line ("Control teclado fin");
	acabado:=true;
end tarea_control;

-- 
-- task tarea_muevete is
--    pragma Priority (control_priority);
-- end tarea_muevete;
-- 
-- task body tarea_muevete is
--          periodo   : constant Time_Span := Milliseconds (500);
--          siguiente : Time;
-- begin
--          siguiente := clock;
--    while not salida loop
-- 
-- 	Get_Immediate (key);
-- 	
-- 	if key = 'q' then salida:= true; put_line("Pulsada salida");  
-- 	elsif key = 'e' then empiezaVisual := true; 
-- 	end if;
-- 
--             siguiente := siguiente + periodo;
--             delay until siguiente;
--    end loop;
-- --  exception 
-- -- 	when Salida =>
-- 	put_line ("Control teclado fin");
-- 	acabado:=true;
-- end tarea_muevete;

   begin
	--abort tarea_movimiento;
      -- Hasta que salida no es true el sistema sigue funcionando
 	while true loop
	null;
       end loop;
-- exception 
-- 	when Salida =>
-- 		raise Salida;
--   	abort tarea_actualiza,tarea_visualiza,tarea_control;
--null; 
	put("acabo principal y espero a que acaben los demas"); new_line;

end principal;


begin

-- put("Dale al enter para lanzar las tareas");
-- Skip_line;
--*************************************************
-- DEL LASER



put_line("Lanzo principal");
principal;
put_line("Se sale del programa");
-- --*************************************************
-- -- DEL LASER

-- --*************************************************
end medir_readLMSValues2tareas;
