/*****************************************************************************/
/*                                                                           */
/*  Fichero:     tiempo.c                                                    */
/*  Autor:       Javier C. Osuna Sanz                                        */
/*  Creado:      17/10/2002                                                  */
/*  Modificado:  10/06/2002                                                  */
/*                                                                           */
/*****************************************************************************/

#include "tiempo.h"

void AnularTiempo(TTiempo *tiempo) {
  tiempo->time=0;
  tiempo->millitm=0;
}

void ObtenerTiempo(TTiempo *tiempo) {
  ftime(tiempo);
}

long ObtenerIntervaloTiempos(TTiempo *principio,TTiempo *final) {
  /* Devuelve el tiempo transcurrido desde "principio" hasta "final" en milisegundos. */

  return (final->time-principio->time)*1000+((long)final->millitm-(long)principio->millitm);
}
