-- Proposito: Medir el tiempo de computo de un proceso


with text_io, Ada.Real_Time;
use  text_io, Ada.Real_Time;
with Ada.Dynamic_Priorities;
use Ada.Dynamic_Priorities;
--*************************************************
-- DEL LASER
with Ada.Unchecked_Conversion;
with Ada.Integer_Text_IO;     use Ada.Integer_Text_IO;
with Ada.Float_Text_IO;     use Ada.Float_Text_IO;

with MaRTE_OS;
with laser_import; use laser_import;

with Interfaces.C;
--*************************************************


procedure medir_readLMSValues is

salida: boolean:=false;

  package DIO is new FIXED_IO (duration) ; use DIO ;

  bucles: integer := 1 ;
  INICIO : time ;
  TIEMPO_COMPUTO : Time_Span;

procedure principal is



Periodic_Id : aliased Ada.Task_Identification.Task_Id := Periodic'Identity;
WCET_Timer : Ada.Execution_Time.Timers.Timer (Periodic_Id'Access);


task body Periodic is
Next_Start : Ada.Real_Time.Time := Ada.Real_Time.Clock;
WCET : constant Time_Span := Milliseconds(1);
-- Period : constant Time_Span := Milliseconds(100);;
OK : Boolean;

--*************************************************
-- DEL LASER
package C renames Interfaces.C;
          use type C.char_array;
	  use type C.unsigned_char;

  buf: C.char_array(0..MAXNDATA);
  key: Character;
  port: C.char_array := "/dev/ttyS2";
  datalen: C.Int; count: Integer:=0; count_max: Integer:=100 ;
  range_mode: Integer:=RANGE_100; res_mode: Integer:=RES_0_5_DEG; unit_mode : Integer:=MMMODE;
  baud_sel: Integer := BAUD_19200;--BAUD_38400;//BAUD_19200;// BAUD_9600;
--*************************************************

begin

--*************************************************
-- DEL LASER
  put("Empieza la inicializacion: (ESPERA A QUE SE PONGA EL LED VERDE SOLO!!!!"); 
  Get_Immediate (key);

  connectToLMS(range_mode, res_mode, unit_mode, port, baud_sel);
  --put("Fin de inicializacion");new_line;
  --Get_Immediate (key);
-- Medimos el tiempo de computo de la operacion readLMSValues

  loop
     Set_Handler (WCET_Timer, WCET, Supervisor.Overrun’Access);
       datalen := readLMSValues;
     Cancel_Handler (WCET_Timer, OK);
  end loop;
--   Next_Start := Next_Start + Period;
--   delay until Next_Start;

end Periodic;


begin
--*************************************************
-- DEL LASER
  put("Empieza la inicializacion: (ESPERA A QUE SE PONGA EL LED VERDE SOLO!!!!"); 
  --Get_Immediate (key);

  connectToLMS(range_mode, res_mode, unit_mode, port, baud_sel);
  --put("Fin de inicializacion");new_line;
  --Get_Immediate (key);
-- Medimos el tiempo de computo de la operacion readLMSValues

  loop
	datalen := readLMSValues;
  end loop;
  
--*************************************************
-- DEL LASER
  stopLMS;
  resetLMS;
--*************************************************
end tarea_laser;

   begin
      -- Hasta que salida no es true el sistema sigue funcionando
      while not salida loop
         null;
      end loop;
	abort tarea_laser, tarea_calculos;

end principal;


begin

put("Dale al enter para lanzar las tareas");
Skip_line;
put("Lanzo principal");
principal;

end medir_readLMSValues;
