/*------------------------------------------------------------------------
 *---------------------           RT-WMP     		  --------------------
 *------------------------------------------------------------------------
 *                                                         V3.0B  25/07/07
 *
 *                   	 'w m p _ m i s c _ c'
 *
 *                                      
 *
 *  File 'wmp_misc.c'                     				by Danilo Tardioli
 *
 *  ----------------------------------------------------------------------
 *  Copyright (C) 2000-2007, Universidad de Zaragoza, SPAIN
 *
 *  Contact Addresses: Danilo Tardioli	        		 dantard@unizar.es
 *
 *  RT-WMP is free software; you can  redistribute it and/or  modify it
 *  under the terms of the GNU General Public License  as published by the
 *  Free Software Foundation;  either  version 2, or (at  your option) any
 *  later version.
 *
 *  RT-WMP  is distributed  in the  hope  that  it will be   useful, but
 *  WITHOUT  ANY  WARRANTY;     without  even the   implied   warranty  of
 *  MERCHANTABILITY  or  FITNESS FOR A  PARTICULAR PURPOSE.    See the GNU
 *  General Public License for more details.
 *
 *  You should have received  a  copy of  the  GNU General Public  License
 *  distributed with RT-WMP;  see file COPYING.   If not,  write to the
 *  Free Software  Foundation,  59 Temple Place  -  Suite 330,  Boston, MA
 *  02111-1307, USA.
 *
 *  As a  special exception, if you  link this  unit  with other  files to
 *  produce an   executable,   this unit  does  not  by  itself cause  the
 *  resulting executable to be covered by the  GNU General Public License.
 *  This exception does  not however invalidate  any other reasons why the
 *  executable file might be covered by the GNU Public License.
 *
 *---------------------------------------------------------------------------*/
#include <sys/time.h>
#include <time.h>
#include <unistd.h>
#include <stdio.h>
#include "core/include/wmp_misc.h"


unsigned long long timeZero=0;

//int initialized=0;
unsigned long getActualTime(){
	struct timeval tv;
	
	gettimeofday(&tv,NULL);
	return tv.tv_sec * 1000 + tv.tv_usec / 1000;
		
}


unsigned long getActualTimeus(){
	struct timeval tv;
	
	gettimeofday(&tv,NULL);
	return tv.tv_sec * 1000 * 1000 + tv.tv_usec ;
}

void mssleep(int ms){
	struct timespec ts;
	
	ts.tv_sec = 0;
    ts.tv_nsec = ms*1000*1000;
    nanosleep (&ts, NULL);
}

unsigned long long getActualDate(){
	unsigned long long timer=0;
	struct timeval tv;
	gettimeofday(&tv,NULL);
	unsigned long long tmp=(tv.tv_sec)*1000000LL;
	tmp+=tv.tv_usec;
	timer=tmp;
	return timer;
}


