#include "include/lqm.h"


char ** lqm;
int size;

void init_lqm(int m_size){
	int i;
	size=m_size;
	lqm=(char **) MALLOC(size*sizeof(char*));
	for (i=0;i<size;i++){
		lqm[i]=(char *) MALLOC(size*sizeof(char));
	}	
}

void free_lqm(){
	int i;
	for (i=0;i<size;i++){
		FREE((char*)lqm[i]);
	}
	FREE((char*)lqm);
}

void fill_lqm(char val){
	int i,j;
	for (i=0;i<size;i++){
		for (j=0;j<size;j++){
			if (i!=j) lqm[i][j]=val;
			else lqm[i][j]=0;
		}	
	}
}

char lqm_get_val(int i, int j){
	return lqm[i][j];
}
void lqm_set_val(int i, int j, char val){
	lqm[i][j]=val;
}

char** lqm_get_ptr(){
	return lqm;
}
