#ifndef BC_QUEUES_H_
#define BC_QUEUES_H_

#include "core/interface/Msg.h"
#include "common/include/Queue.h"
#include <string.h>

void init_bc_Queues();
void free_bc_Queues();
void pushRcvdBCMsg(Msg * p);
void popBCMsgToSend(Msg * p);
void PushBCMsgToSend(Msg *p);
int getNumOfElementInRXBCQueue();
int getNumOfElementInTXBCQueue();
int getNumOfFreePositionsInTXBCQueue();
int getHighestPriorityInTxBCQueue();
int getHighestPriorityAgeInTxBCQueue();

#endif /*BC_QUEUES_H_*/
