#include "definitions.h"
#include "global.h"
#include "nstat.h"
#include "string.h"
#include "manage_broadcast.h"
#include "bc_queues.h"

char maxPri;
char protocol;
char bc_data[1500];
unsigned short len;
int data_is_valid;

void bc_token_received(wmpFrame *t){
	char * data_ptr =(char*)t;
	data_ptr+=(sizeof(Token_Hdr)+sizeof(Token)+status.N_NODES*status.N_NODES);
	Msg m;
	
	if (getNumOfElementInTXBCQueue()>0){
		popBCMsgToSend(&m);
		if (t->tkn.len < m.len+m.offset) t->tkn.len=(m.len+m.offset);
		memcpy(data_ptr+m.offset,m.data,m.len);
		t->tkn.protocol=m.protocol;	
	}	
	len=t->tkn.len;
	protocol=t->tkn.protocol;
	if (len>0) {
		memcpy(bc_data,data_p tr,len);
		m.len=len; m.src=-1; m.priority=-1;
		m.dest=-1; m.protocol=protocol;	m.port=-1;
		memcpy(m.data,data_ptr,len);
		pushRcvdBCMsg(&m);
	
	}
} 

void bc_create_new_token(wmpFrame *t){
	char * data_ptr =(char*)t;
	data_ptr+=(sizeof(Token_Hdr)+sizeof(Token)+status.N_NODES*status.N_NODES);
	t->tkn.len=len;
	t->tkn.protocol=protocol;
	memcpy(data_ptr,bc_data,len);
}

