---------------------------------------------------------------------
-- Fichero:   demo_reloj.adb
-- Autor:     J.D.Tardos
-- Version:   v1.0 14-3-2003
-- Proposito: Ejemplo de uso de delay y delay until
---------------------------------------------------------------------
with MaRTE_OS;
with Ada.Real_Time, Text_IO; 
use  Ada.Real_Time, Text_IO;

procedure demo_reloj is
  package DIO is new Fixed_IO(duration); use DIO;

  inicio, siguiente: time;

begin
  New_Line;Put("hola que empiezo");
  New_Line(2);
  put_line("Reloj con deriva:");
  inicio:= clock;
  for i in 0..10 loop
    put(To_duration(clock - inicio)); new_line;
    delay 1.0;
  end loop;

  put_line("Reloj sin deriva:");
  inicio:= clock;
  siguiente := inicio;
  for i in 0..10 loop
    put(To_duration(clock - inicio)); new_line;
    siguiente:= siguiente + milliseconds(1000);
    delay until siguiente;
  end loop;
  
end;
