---------------------------------------------------------------------
-- Fichero:   servidores.ads
-- Autor:     J.L.Villarroel, C.Sagues, J.D.Tardos
-- Version:   v2.0 27-3-2002
-- Proposito: Servidores para la Practica 2
---------------------------------------------------------------------
-- Esta seria la forma correcta de programar servidores usando techo 
-- de prioridad, pero la herencia de prioridad no funciona en 
-- GNAT 3.12 para windows NT

with system;
package servidores is

  s1_prioridad: System.Any_Priority:= 1;  -- su techo mas 1
  s2_prioridad: System.Any_Priority:= 1;  -- su techo mas 1
    
  protected s1 is
	pragma priority (s1_prioridad);
	procedure servicio1;
	procedure servicio2;
  end;

  protected s2 is
	pragma priority (s2_prioridad);
	procedure servicio1;
	procedure servicio2;
  end;

end servidores;