/*------------------------------------------------------------------------
 *---------------------           RT-WMP     		  --------------------
 *------------------------------------------------------------------------
 *                                                         V3.0B  25/07/07
 *
 *                   		  'w m p _ d e b u g _ c'
 *
 *                                      
 *
 *  File 'wmp_debug.c'                     				by Danilo Tardioli
 *
 *  ----------------------------------------------------------------------
 *  Copyright (C) 2000-2007, Universidad de Zaragoza, SPAIN
 *
 *  Contact Addresses: Danilo Tardioli	        		 dantard@unizar.es
 *
 *  RT-WMP is free software; you can  redistribute it and/or  modify it
 *  under the terms of the GNU General Public License  as published by the
 *  Free Software Foundation;  either  version 2, or (at  your option) any
 *  later version.
 *
 *  RT-WMP  is distributed  in the  hope  that  it will be   useful, but
 *  WITHOUT  ANY  WARRANTY;     without  even the   implied   warranty  of
 *  MERCHANTABILITY  or  FITNESS FOR A  PARTICULAR PURPOSE.    See the GNU
 *  General Public License for more details.
 *
 *  You should have received  a  copy of  the  GNU General Public  License
 *  distributed with RT-WMP;  see file COPYING.   If not,  write to the
 *  Free Software  Foundation,  59 Temple Place  -  Suite 330,  Boston, MA
 *  02111-1307, USA.
 *
 *  As a  special exception, if you  link this  unit  with other  files to
 *  produce an   executable,   this unit  does  not  by  itself cause  the
 *  resulting executable to be covered by the  GNU General Public License.
 *  This exception does  not however invalidate  any other reasons why the
 *  executable file might be covered by the GNU Public License.
 *
 *---------------------------------------------------------------------------*/
 
#include "core/include/wmp_debug.h"
#include <string.h>

void initDebug(enum Output _output, unsigned char _dbg_level, int _exclusive){
}

void closeDebug(){
}

void dbgprintf(unsigned char level,const char *format, ...){  
		
}  
 
void lqmToString(char **lqm, char * s){
	 int i,j;
	 sprintf(s,"%s","");
     for (i=0;i<status.N_NODES;i++){
        for (j=0;j<status.N_NODES;j++){
            char s1[4];
            int v=0;
            if(i!=j) v=lqm[i][j];
            if (v<10) sprintf(s1,"  %d",v);
            else if (v<100) sprintf(s1," %d",v);
            else  sprintf(s1,"%d",v);
            strcat(s,s1);
            strcat(s," ");                               
        }
      	strcat(s,"\n");
     }
}

