#ifndef DIJKSTRA__H
#define DIJKSTRA__H
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "config/compiler.h"

int nextVertex(int* marcas,int* weight);
void dijkstra(char **lqm,int v,int* prec,int *weight);
int steps(char **lqm,int src,int dst,int* path, int * cost);
int nextStep(char **lqm,int src,int dst);
int nextStepWithCost(char **,int src,int dst, int* cost);
int isIsolated(char **lqm,int src,int dst);
void initDijkstra(int numNodes);

#endif
