#ifndef MANAGE__H
#define MANAGE__H
#include <sys/time.h>
#include <stdio.h>
#include <signal.h>
#include <stdlib.h>
#include <string.h>
#include "config/compiler.h"
#include "queues.h"
#include "nstat.h"
#include "rssi_average.h"
#include "wmp_com.h"
#include "wmp_misc.h"
#include "wmp_debug.h"
#include "lqm.h"
#include "dijkstra.h"
#include "core/interface/frames.h"
#include "core/interface/wmp_interface.h"
#include "core/interface/wmp_protected_interface.h"
#include "extensions/extensions.h"


int evaluate_token(wmpFrame * buffer);
int evaluate_authorization(wmpFrame * t);
int evaluate_message(wmpFrame * t);

int manage_token_expired_timeout(wmpFrame  * p);
int manage_authorization_expired_timeout(wmpFrame * t);
int manage_message_expired_timeout(wmpFrame * t);

int manage_duplicate_token(wmpFrame * p);
int createNewToken(wmpFrame* t);
int initFirst(wmpFrame *p); //in 

#endif
