#ifndef NSTAT_H_
#define NSTAT_H_

#include <stdio.h>
#include "config/compiler.h"

void init_nstat(int n);
void free_nstat();	
char nstat_get_byte(int idx);
void nstat_set_byte(int idx,char val);
void nstat_set_val(int idx, unsigned char id);
unsigned char nstat_get_val(int idx);
int nstat_isReached(int idx);
int nstat_isLost(int idx);
int nstat_isReachedBC(int idx);
void nstat_clearReached(int idx);
void  nstat_setReached(int idx);
void nstat_clearReachedBC(int idx);
void  nstat_setReachedBC(int idx);
void  nstat_setLost(int idx);
void  nstat_clearLost(int idx);

#endif /*NSTAT_H_*/
